Subject: bug#71648: 30.0.50; Allow which-key to report on translation bindings

From: Justin Burkett <[email-masked]>
Date: Wed, 19 Jun 2024 11:42:40 -0400

On Wed, Jun 19, 2024 at 11:16 AM Robert Pluim <[email-masked]> wrote:
>
> >>>>> On Wed, 19 Jun 2024 11:09:36 -0400, Justin Burkett <[email-masked]> said:
>
>     Justin> The purpose of which-key was to show the commands that are available
>     Justin> following an incomplete key sequence. If I understand correctly, these
>     Justin> maps don't hold commands and anyway would be processed before
>     Justin> which-key "sees" the current incomplete key sequence.
>
> They donʼt hold commands in the sense of defuns, but instead they
> produce characters, which to Emacs is pretty much the same thing, and
> looking up keys in them inside which-keys produces the same type of
> display.
>
>     Justin> If I understand correctly, if "C-d x" translates to "C-c x" then
>     Justin> which-key I believe would see the sequence "C-c x" and find the
>     Justin> bindings following that sequence. I'm not sure how or why we would
>     Justin> want to display the information that "C-d x" translates to "C-c x".
>
> These maps donʼt translate sequences to sequences, they translate
> sequences to characters:
>
> 'C-x 8 * E' -> €
> 'C-x 8 * L' -> £
> etc
>
> so with my patch, typing 'C-x 8 *' show the entries for 'E' and 'L'
> (and more besides)

Ah, so I didn't understand how these are used. Those are good
additions to which-key.

> Robert
> --